import { builtinModules } from "module"
import ts from "rollup-plugin-ts"
import json from "@rollup/plugin-json"
import replace from "@rollup/plugin-replace"
import { dependencies } from "./package.json"

/** @returns {import("rollup").RollupOptions} */
export default () => ({
  input: {
    index: "./src/index.ts",
    node: "./src/adapter/node.ts",
    filePicker: "./src/adapter/showDirectoryPicker.ts",
    webkit: "./src/adapter/webkitdirectory.ts",
  },
  external: builtinModules.concat(Object.keys(dependencies)),
  output: {
    dir: "lib",
    format: "cjs",
  },
  plugins: [
    ts({ transpileOnly: true }),
    json(),
    replace({
      preventAssignment: true,
      values: {
        "process.env.NODE_ENV": '"production"',
      },
    }),
  ],
})
