import styled from "@emotion/styled"
import { Modal } from "../components/Modal"
import { useTranslate } from "../i18n"
import { LicenseView } from "./LicenseViewer"

const Container = styled.div`
  width: 800px;
  min-height: 450px;
`
const LicenseSectionHeader = styled.h3`
  margin-top: 0;
`

export const About: React.FC<{
  show: boolean
  onHide(): void
}> = ({ show, onHide }) => {
  const t = useTranslate()
  return (
    <Modal maxWidth={800} show={show} title={t.label.about_app} onClose={onHide}>
      <Container>
        <LicenseSectionHeader>Licenses</LicenseSectionHeader>
        <LicenseView />
      </Container>
    </Modal>
  )
}
