import { useCallback } from "react"
import { useTranslate } from "../../i18n"
import { toast, ToastType } from "../Toast"

export function useCopy(text: string) {
  const t = useTranslate()
  return useCallback(() => {
    navigator.clipboard.writeText(text)
    toast({
      type: ToastType.Secondary,
      message: t.tips.copied_to_clipboard,
    })
  }, [text, t])
}
