# opvault.js

![License](https://img.shields.io/badge/Licence-GPL_v3-blue.svg)

## Lecteur de coffres OnePassword libre

Vos coffres OnePassword, sur n’importe quelle plateforme. Pour commencer, vous pouvez [télécharger une version compilée](../../../releases) pour votre système d’exploitation, ou [suivre les instructions de compilation](#build) ci-dessous.

## OnePassword Vault Reader

Read your OnePassword vaults on all platform. To start, you can [download a prebuilt binary](../../../releases) for your OS, or [follow the build instructions](#build) below.

## Capture d’écran / Screenshot

<img alt="linux screenshot" src=".github/screenshot.png" width="700" />

## Build

```sh
pnpm install
cd packages/web
pnpm run bundle
```

## Test

```sh
cd packages/opvault.js/src/__tests__
wget -qO- https://cache.agilebits.com/security-kb/freddy-2013-12-04.tar.gz | tar xvz
mv onepassword_data freddy-2013-12-04.opvault

# Run tests
pnpm run test
```

## Sécurité / Security

### Signaler un problème de sécurité

Nous encourageons le signalement responsable des vulnerabilités détectées sur nos logiciels et ferons notre possible pour reconnaître vos contributions.

Afin de signaler un problème de sécurité, veuillez envoyer un courriel à [security@aet.ac](mailto:security@aet.ac) avec le mot « SÉCURITÉ » dans le subjet.

### Reporting Security Issues

We appreciate your efforts to responsibly disclose your findings of security issues, and will make every effort to acknowledge your contributions.

To report a security issue, email [security@aet.ac](mailto:security@aet.ac) and include the word "SECURITY" in the subject line.
